import request from '@/utils/request'

// 查询用户打卡列表
export function listClockLog(query) {
  return request({
    url: '/system/clockLog/list',
    method: 'get',
    params: query
  })
}

// 查询用户打卡详细
export function getClockLog(id) {
  return request({
    url: '/system/clockLog/' + id,
    method: 'get'
  })
}

// 新增用户打卡
export function addClockLog(data) {
  return request({
    url: '/system/clockLog',
    method: 'post',
    data: data
  })
}

// 修改用户打卡
export function updateClockLog(data) {
  return request({
    url: '/system/clockLog',
    method: 'put',
    data: data
  })
}

// 删除用户打卡
export function delClockLog(id) {
  return request({
    url: '/system/clockLog/' + id,
    method: 'delete'
  })
}
